"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.definition = void 0;
exports.definition = {
    id: 'fouducinema',
    name: 'Fou-Du-Cinema',
    description: 'Fou-Du-Cinema (FdC) is a FRENCH Private Torrent Tracker for MOVIES / TV / GENERAL',
    language: 'fr-FR',
    type: 'private',
    encoding: 'UTF-8',
    links: ['https://fou-du-cinema.net/'],
    caps: {
        categorymappings: [
            { id: '65', cat: 'TV/Documentary', desc: 'Documentaires Divers' },
            { id: '66', cat: 'TV/Documentary', desc: 'Documentaires audio' },
            { id: '2', cat: 'Movies/DVD', desc: 'Film DVD' },
            { id: '4', cat: 'Movies/HD', desc: 'Film 1080P' },
            { id: '15', cat: 'Movies/BluRay', desc: 'Film Bluray' },
            { id: '16', cat: 'Movies/WEB-DL', desc: 'Film Web' },
            { id: '17', cat: 'Movies/Other', desc: 'Film Iso' },
            { id: '19', cat: 'Movies/HD', desc: 'Film 720P' },
            { id: '59', cat: 'Movies/Other', desc: 'Film Divers' },
            { id: '67', cat: 'Movies/Other', desc: 'Film Vob' },
            { id: '69', cat: 'Movies/DVD', desc: 'Film DVD-r' },
            { id: '46', cat: 'TV/HD', desc: 'Série 1080P' },
            { id: '48', cat: 'TV/HD', desc: 'Série Bluray' },
            { id: '60', cat: 'TV/Other', desc: 'Série Divers' },
            { id: '12', cat: 'TV/Other', desc: 'Série DVDRip' },
            { id: '30', cat: 'TV/HD', desc: 'Série 720P' },
            { id: '23', cat: 'TV/WEB-DL', desc: 'Série Web' },
            { id: '44', cat: 'TV/HD', desc: 'Pack Séries 1080P' },
            { id: '38', cat: 'TV/Other', desc: 'Pack Séries intégrale' },
            { id: '41', cat: 'TV/WEB-DL', desc: 'Pack Séries Web' },
            { id: '45', cat: 'TV/HD', desc: 'Pack Séries 720P' },
            { id: '63', cat: 'TV/Other', desc: 'Pack Séries Divers' },
            { id: '10', cat: 'XXX', desc: 'XxX Film' },
            { id: '13', cat: 'PC/0day', desc: 'Apps Win' },
            { id: '14', cat: 'PC/Mac', desc: 'Apps Mac' },
            { id: '52', cat: 'PC/Mobile-iOS', desc: 'Apps Iphone' },
            { id: '53', cat: 'PC/Mobile-Android', desc: 'Apps android' },
            { id: '5', cat: 'Audio/MP3', desc: 'Music Mp3' },
            { id: '6', cat: 'Audio/Lossless', desc: 'Music FLAC' },
            { id: '7', cat: 'PC/Games', desc: 'Jeux Win' },
            { id: '8', cat: 'Console/PS3', desc: 'Jeux PS3' },
            { id: '54', cat: 'PC/Games', desc: 'Jeux Pc' },
            { id: '55', cat: 'Console/PS4', desc: 'Jeux PS4' },
            { id: '56', cat: 'Console/Xbox360', desc: 'Jeux XBOX 360' },
            { id: '57', cat: 'Console/Other', desc: 'Jeux androïd' },
        ],
        modes: {
            search: ['q'],
            'tv-search': ['q', 'season', 'ep'],
            'movie-search': ['q'],
            'book-search': ['q'],
        },
    },
    settings: [
        { name: 'username', type: 'text', label: 'Username' },
        { name: 'password', type: 'password', label: 'Password' },
        {
            name: 'multilang',
            type: 'checkbox',
            label: 'Replace MULTI by another language in release name',
            default: false,
        },
        {
            name: 'multilanguage',
            type: 'select',
            label: 'Replace MULTI by this language',
            default: 'FRENCH',
            options: {
                FRENCH: 'FRENCH',
                'MULTI.FRENCH': 'MULTI.FRENCH',
                ENGLISH: 'ENGLISH',
                'MULTI.ENGLISH': 'MULTI.ENGLISH',
                VOSTFR: 'VOSTFR',
                'MULTI.VOSTFR': 'MULTI.VOSTFR',
            },
        },
        {
            name: 'vostfr',
            type: 'checkbox',
            label: 'Replace VOSTFR with ENGLISH',
            default: false,
        },
        {
            name: 'sort',
            type: 'select',
            label: 'Sort requested from site',
            default: 'added',
            options: {
                added: 'created',
                seeds: 'seeders',
                size: 'size',
                name: 'title',
            },
        },
        {
            name: 'type',
            type: 'select',
            label: 'Order requested from site',
            default: 'desc',
            options: { desc: 'desc', asc: 'asc' },
        },
    ],
    login: {
        path: 'login.php',
        method: 'form',
        form: 'form[action="/login.php"]',
        cookies: ['JAVA=OK'],
        captcha: {
            type: 'image',
            selector: 'img[src^="cap/captcha_math.php?codeCaptcha="]',
            input: 'stringCaptcha',
        },
        inputs: {
            username: '{{ .Config.username }}',
            password: '{{ .Config.password }}',
        },
        error: [{ selector: 'div#login_error' }],
        test: { path: 'index.php', selector: 'a[href="logout.php"]' },
    },
    download: {
        before: {
            path: 'ajax_det_poll.php',
            method: 'post',
            inputs: {
                set_thanks: 'Merci',
                det_id: '{{ .DownloadUri.Query.torrent }}',
                ajax: 'yes',
            },
        },
    },
    search: {
        paths: [{ path: 'selection.php' }],
        inputs: {
            $raw: '{{ range .Categories }}c{{.}}=1&{{end}}',
            search: '{{ .Keywords }}',
            blah: 0,
            orderby: '{{ .Config.sort }}',
            sort: '{{ .Config.type }}',
        },
        rows: {
            selector: 'div.content_wrap > div.selection_wrap:has(a[href^="details.php?id="])',
        },
        fields: {
            category: {
                selector: 'div.kat_cat_pic',
                filters: null,
                case: {
                    ':contains("Documentaires"):contains("Divers")': 65,
                    ':contains("Documentaires"):contains("audio")': 66,
                    ':contains("Film"):contains("DVD")': 2,
                    ':contains("Film"):contains("1080P")': 4,
                    ':contains("Film"):contains("Bluray")': 15,
                    ':contains("Film"):contains("Web")': 16,
                    ':contains("Film"):contains("Iso")': 17,
                    ':contains("Film"):contains("720P")': 19,
                    ':contains("Film"):contains("Divers")': 59,
                    ':contains("Film"):contains("Vob")': 67,
                    ':contains("Film"):contains("DVD-r")': 69,
                    ':contains("Série"):contains("1080P")': 46,
                    ':contains("Série"):contains("Bluray")': 48,
                    ':contains("Série"):contains("Divers")': 60,
                    ':contains("Série"):contains("DVDRip")': 12,
                    ':contains("Série"):contains("720P")': 30,
                    ':contains("Série"):contains("Web")': 23,
                    ':contains("Séries"):contains("1080P")': 44,
                    ':contains("Séries"):contains("intégrale")': 38,
                    ':contains("Séries"):contains("Web")': 41,
                    ':contains("Séries"):contains("720P")': 45,
                    ':contains("Séries"):contains("Divers")': 63,
                    ':contains("XxX"):contains("Film")': 10,
                    ':contains("Apps"):contains("Win")': 13,
                    ':contains("Apps"):contains("Mac")': 14,
                    ':contains("Apps"):contains("Iphone")': 52,
                    ':contains("Apps"):contains("android")': 53,
                    ':contains("Music"):contains("Mp3")': 5,
                    ':contains("Music"):contains("FLAC")': 6,
                    ':contains("Jeux"):contains("Win")': 7,
                    ':contains("Jeux"):contains("PS3")': 8,
                    ':contains("Jeux"):contains("Pc")': 54,
                    ':contains("Jeux"):contains("PS4")': 55,
                    ':contains("Jeux"):contains("XBOX 360")': 56,
                    ':contains("Jeux"):contains("androïd")': 57,
                },
            },
            title_phase1: { selector: 'a[href^="details.php?id="]' },
            title_multilang: {
                text: '{{ .Result.title_phase1 }}',
                filters: [
                    {
                        name: 're_replace',
                        args: ['(?i)([\\s|\\.|-]multi[\\s|\\.|-])', '.{{ .Config.multilanguage }}.'],
                    },
                ],
            },
            title_phase2: {
                text: '{{ if .Config.multilang }}{{ .Result.title_multilang }}{{ else }}{{ .Result.title_phase1 }}{{ end }}',
            },
            title_vostfr: {
                text: '{{ .Result.title_phase2 }}',
                filters: [
                    {
                        name: 're_replace',
                        args: ['(?i)([\\s|\\.|-]vostfr[\\s|\\.|-])', '.ENGLISH.'],
                    },
                    {
                        name: 're_replace',
                        args: ['(?i)([\\s|\\.|-]subfrench[\\s|\\.|-])', '.ENGLISH.'],
                    },
                ],
            },
            title: {
                text: '{{ if .Config.vostfr }}{{ .Result.title_vostfr }}{{ else }}{{ .Result.title_phase2 }}{{ end }}',
            },
            details: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
            },
            download: {
                selector: 'a[href^="details.php?id="]',
                attribute: 'href',
                filters: [
                    {
                        name: 'replace',
                        args: ['details.php?id=', 'download.php?torrent='],
                    },
                ],
            },
            seeders: { selector: 'div.selection_unter_aa > b' },
            leechers: { selector: 'div.selection_unter_aaa > b' },
            date: {
                selector: 'div.selection_unter_ab:contains(".")',
                optional: true,
                filters: [
                    { name: 'replace', args: ['Le ', ''] },
                    { name: 'replace', args: ['à ', ''] },
                    { name: 'append', args: ' +01:00' },
                    { name: 'dateparse', args: '02.01.2006 15:04:05 -07:00' },
                ],
            },
            size: {
                selector: 'div.selection_unter_ad',
                filters: [{ name: 'replace', args: [',', '.'] }],
            },
            grabs: {
                selector: 'div.selection_unter_ae',
                filters: [{ name: 'replace', args: [' x', ''] }],
            },
            downloadvolumefactor: { text: 1 },
            uploadvolumefactor: { text: 1 },
            minimumratio: { text: 0.5 },
            minimumseedtime: { text: 216000 },
        },
    },
    source: 'jackett',
};
